# upload_to_bugly plugin

[![fastlane Plugin Badge](https://rawcdn.githack.com/fastlane/fastlane/master/fastlane/assets/plugin-badge.svg)](https://rubygems.org/gems/fastlane-plugin-upload_to_bugly)

## Getting Started

This project is a [_fastlane_](https://github.com/fastlane/fastlane) plugin. To get started with `fastlane-plugin-upload_to_bugly`, add it to your project by running:

```bash
fastlane add_plugin upload_to_bugly
```

## About upload_to_bugly

fastlane 插件用于快速上传iOS .dSYM 文件 到 bugly

注意：bugly 老版本用的是 `buglySymboliOS.jar`，现在上传存在问题，因此当前用的是 `buglyqq-upload-symbol.jar`


## Use

```
'upload_to_bugly(
    appid: "xxx",
    appkey: "xxx",
    bundleid: "xxx",
    version: "a.b.c",
    inputSymbol: "./xxx.dSYM"
)
```

1、通过 bugly 官网下载 `buglyqq-upload-symbol.jar`，可直接点击[该链接下载](https://bugly.qq.com/v2/sdk?id=d796e9d7-0423-422f-9eb9-63b6e16ef4f9)
2、下载后放在 `~/bin/` 文件夹下，文件夹不存在时手动创建
3、该 `.jar` 工具要求对应 java 的版本为 `openjdk@8`

参考：[Bugly iOS 符号表配置](https://bugly.qq.com/docs/user-guide/symbol-configuration-ios/?v=20210727214427#dsym)

## Troubleshooting

If you have trouble using plugins, check out the [Plugins Troubleshooting](https://docs.fastlane.tools/plugins/plugins-troubleshooting/) guide.

## Using _fastlane_ Plugins

For more information about how the `fastlane` plugin system works, check out the [Plugins documentation](https://docs.fastlane.tools/plugins/create-plugin/).

## About _fastlane_

_fastlane_ is the easiest way to automate beta deployments and releases for your iOS and Android apps. To learn more, check out [fastlane.tools](https://fastlane.tools).
